task Call_meth {
	
    File ref_dir
    
	File Dedup_bam
	String sample
	String docker
	String cluster_config
	String disk_size

command <<<
		set -o pipefail
		set -e
		bismark_methylation_extractor -p --no_overlap --comprehensive --report --bedGraph --genome_folder ${ref_dir} ${Dedup_bam}
	>>>
	
	runtime {
		docker:docker
    	cluster: cluster_config
    	systemDisk: "cloud_ssd 40"
    	dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
	}

	output {
		File bedGraph = "${sample}_R1_val_1_bismark_bt2_pe.bedGraph.gz"
		File cov = "${sample}_R1_val_1_bismark_bt2_pe.bismark.cov.gz"
		File splitting_report = "${sample}_R1_val_1_bismark_bt2_pe_splitting_report.txt"
		File CHG_context = "CHG_context_{sample}_R1_val_1_bismark_bt2_pe.txt"
		File CHH_context = "CHH_context_{sample}_R1_val_1_bismark_bt2_pe.txt"
		File CpG_context = "CpG_context_{sample}_R1_val_1_bismark_bt2_pe.txt"
	}
}


